# -*- coding: utf-8 -*-
# This file is part of the cashbook-module from m-ds.de for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import PoolMeta


class AssetRate(metaclass=PoolMeta):
    __name__ = 'investment.rate'

    @classmethod
    def create(cls, vlist):
        """ update cache-value
        """
        records = super(AssetRate, cls).create(vlist)
        # TODO: update cashbooks using this asset
        return records

    @classmethod
    def write(cls, *args):
        """ update cache-value
        """
        super(AssetRate, cls).write(*args)
        # TODO: update cashbooks using this asset

    @classmethod
    def delete(cls, records):
        """ set cache to None
        """
        super(AssetRate, cls).delete(records)
        # TODO: update cashbooks using this asset

# end
